HD Transits
POST
/human-design/transits
curl -X POST https://api.astroway.info/v1/human-design/transits \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "2024-06-15", "time": "12:00:00", "timezoneOffset": 0, "natalDate": "1990-05-15", "natalTime": "14:30:00", "natalTimezoneOffset": 3 }'const res = await fetch('https://api.astroway.info/v1/human-design/transits', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "2024-06-15", "time": "12:00:00", "timezoneOffset": 0, "natalDate": "1990-05-15", "natalTime": "14:30:00", "natalTimezoneOffset": 3 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/human-design/transits', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "2024-06-15", 'time': "12:00:00", 'timezoneOffset': 0, 'natalDate': "1990-05-15", 'natalTime': "14:30:00", 'natalTimezoneOffset': 3 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('human-design/transits', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '2024-06-15', 'time' => '12:00:00', 'timezoneOffset' => 0, 'natalDate' => '1990-05-15', 'natalTime' => '14:30:00', 'natalTimezoneOffset' => 3, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Calculate current Human Design transit activations. Optionally overlay on natal chart to show combined defined centers and channels.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
Transit moment plus an optional natal date, time and offset to overlay the activations on.
object
date required
string
time required
string
timezoneOffset
Hours from UTC at the given moment, not minutes. Fractional zones are hours too: 5.5 for India, 5.75 for Nepal, -3.5 for Newfoundland. Defaults to 0, meaning UTC.
number
latitude required
number
longitude required
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
ayanamsa
Sidereal school by name. Lahiri when omitted. Equivalent to ayanamsaId; send either.
string
cosmogram
boolean
natalDate
string
natalTime
string
natalTimezoneOffset
number
Example
{ "date": "2024-06-15", "time": "12:00:00", "timezoneOffset": 0, "natalDate": "1990-05-15", "natalTime": "14:30:00", "natalTimezoneOffset": 3}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
transitActivations
Array<object>
object
planet
string
planetId
number
gate
number
line
number
color
number
tone
number
base
number
longitude
number
isPersonality
boolean
combinedCenters
Array<object>
object
name
string
defined
boolean
open
boolean
gates
Array<number>
activeGates
Array<number>
combinedChannels
Array<object>
object
gate1
number
gate2
number
centerA
string
centerB
string
activatedBy
Array<string>
Example
{ "ok": true, "data": { "transitActivations": [ { "planet": "Sun", "planetId": 0, "gate": 12, "line": 3, "color": 3, "tone": 3, "base": 3, "longitude": 84.87590991671424, "isPersonality": false } ], "combinedCenters": [ { "name": "Head", "defined": true, "open": false, "gates": [ 61 ], "activeGates": [ 61 ] } ], "combinedChannels": [ { "gate1": 1, "gate2": 8, "centerA": "G", "centerB": "Throat", "activatedBy": [ "personality" ] } ] }}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.